cURL
curl --request GET \
--url https://api.unifygtm.com/sequences/v1/enrollment-steps/query-jobs/{job_id}/results \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/sequences/v1/enrollment-steps/query-jobs/{job_id}/results"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/sequences/v1/enrollment-steps/query-jobs/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"page": 123,
"page_size": 123,
"data": [
{
"id": "<string>",
"updated_at": "<string>",
"type": "AUTOMATIC_EMAIL",
"status": "NOT_STARTED",
"is_blocked": true,
"is_bounced": true,
"is_canceled": true,
"is_opted_out": true,
"is_paused": true,
"is_replied": true,
"sequence": {
"id": "<string>",
"name": "<string>",
"is_paused": true,
"version": 123
},
"step_number": 2,
"started_at": "<string>",
"ended_at": "<string>",
"enrollment": {
"id": "<string>",
"mailbox": {
"id": "<string>",
"email_address": "<string>",
"forward_to_email_address": "<string>",
"secondary_forward_to_email_address": "<string>",
"display_name": "<string>",
"is_paused": true,
"is_unauthorized": true,
"user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"secondary_forward_to_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
},
"person": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"linkedin_url": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"linkedin_url": "<string>",
"description": "<string>"
}
}
},
"email_message": {
"id": "<string>",
"subject": "<string>",
"sent_at": "<string>",
"from_email_address": "<string>",
"is_bounced": true,
"is_opted_out": true,
"clicks": 1,
"opens": 1
},
"reply_email_message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"classifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "AUTOMATED"
}
]
}
}
]
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "results_not_ready",
"message": "<string>"
}{
"status": "results_expired",
"message": "<string>"
}{
"status": "results_page_too_large",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Query enrollment steps
Get results
Get results for a finished sequence enrollment step query job.
GET
/
sequences
/
v1
/
enrollment-steps
/
query-jobs
/
{job_id}
/
results
cURL
Authorizations
Path Parameters
Query Parameters
Required range:
x >= 1Maximum is 2,000 for JSON responses and 10,000 when Accept is
application/x-ndjson.
Required range:
1 <= x <= 10000⌘I